# $Revision: 1.19 $, $Date: 2008-01-31 12:16:06 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	HtAccess
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - manipulate .htaccess files
Summary(pl.UTF-8):	%{_pearname} - manipulacje na plikach .htaccess
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	12cb3e3dbf284f9ffc5eca48a0a88bb5
URL:		http://pear.php.net/package/File_HtAccess/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides methods to manipulate .htaccess files.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza metody do manipulowania plikami .htaccess.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_HtAccess.spec,v $
Revision 1.19  2008-01-31 12:16:06  glen
- rel 2

Revision 1.18  2007-08-22 20:25:01  adamg
- updated to 1.2.1

Revision 1.17  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.15  2006/12/30 10:14:13  adamg
- updated to 1.2.0

Revision 1.14  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.13  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/10/05 20:11:06  glen
- rel 3

Revision 1.10  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.9  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.7  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.6  2003/10/07 20:54:31  adamg
- do not use macros in URL

Revision 1.5  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.4  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.3  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/23 13:56:02  blues
- 1.1.0 - stable release - STBR to Ra updates general

Revision 1.1  2002/11/14 14:28:27  blues
- initial release - STBR
